%global glib_v 2.58.0

Summary: HTTP client/server library for GNOME
Name: libsoup
Version: 2.74.3
Release: 5%{?dist}
License: LGPLv2
URL: https://wiki.gnome.org/Projects/libsoup
Source0: https://download.gnome.org/sources/%{name}/2.74/%{name}-%{version}.tar.xz
BuildRequires: gettext vala meson
BuildRequires: glib-networking krb5-devel
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libbrotlidec) pkgconfig(libpsl)
BuildRequires: pkgconfig(libxml-2.0) pkgconfig(sqlite3)
BuildRequires: pkgconfig(sysprof-capture-4)
BuildRequires: /usr/bin/ntlm_auth
BuildRequires: glib2-devel >= %{glib_v}
Requires: glib2 >= %{glib_v}
Requires: glib-networking >= %{glib_v}

%description 
The libsoup is an HTTP client/server library for GNOME. It uses 
GObject and the GLib main loop to integrate with GNOME applications 
and it also has an asynchronous API for use in threaded applications.

%package devel
Summary: Header files for the Soup library
Requires: libsoup = %{version}-%{release}

%description devel
Libsoup is an HTTP library implementation in C, it enables GNOME applications
to access HTTP servers on the network in a completely asynchronous fashion.

%prep
%autosetup 

%build
%meson 
%meson_build

%install
%meson_install

%find_lang libsoup

%files -f libsoup.lang
%license COPYING
%doc README NEWS AUTHORS
%{_libdir}/libsoup-2.4.so.1*
%{_libdir}/libsoup-gnome-2.4.so.1*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Soup*2.4.typelib

%files devel
%{_includedir}/libsoup-2.4
%{_includedir}/libsoup-gnome-2.4
%{_libdir}/libsoup-2.4.so
%{_libdir}/libsoup-gnome-2.4.so
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Soup*2.4.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/libsoup-2.4.deps
%{_datadir}/vala/vapi/libsoup-2.4.vapi

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.74.3-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.74.3-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.74.3-3
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 29 2023 jackeyji <jackeyji@tencent.com> - 2.74.3-2
- rebuild for glib-networking 2.76.1

* Wed Aug 2 2023 Shuo Wang <abushwang@tencent.com> - 2.74.3-1
- update to 2.74.3

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.74.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.74.2-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 20 2022 Wang Zhe <bessiewang@tencent.com> - 2.74.2-1
- initial build
